body{
  margin: 0px;
  font-family: "Roboto", sans-serif;
  font-weight: 400;
  font-style: normal;
  color: black;
  scrollbar-width: thin;          /* "auto" or "thin" */
  scrollbar-color: rgb(88, 71, 35) rgb(54, 41, 15);   /* scroll thumb and track */
}

.d-none{
  display: none;
}

html{
  scroll-behavior: smooth;
  width: 100%;
}
/*header*/
header{
  background-color: rgb(101 89 78);
  display: flex;
  justify-content: space-between;
  align-items: center;
  top: 0px;
  left: 0px;
  right: 0px;
  box-shadow: 0px -20px 14px 20px black;
  height: 100px;
  z-index: 4;
  position: absolute;
}

.header-img{
  width: 200px;
}

nav {
  display: flex;
  gap: 30px;
  align-items: center;
  margin-right: 50px;
}

nav :hover{
  filter: drop-shadow(0px 0px 4px  #e4e4e4);
  text-decoration: underline;
}

.navImage{
  width: 80px;
  border-radius: 50px;
  margin-top: 10px;
}

.navImage:hover {
  cursor:pointer;
  filter: drop-shadow(0px 0px 4px  #ffffff);
} 

.speisekarte{
  font-weight: bold;
  text-decoration: underline;
}

/*footer*/

footer{
  height: 100px;
  background-color: rgb(101 89 78);
  box-shadow: 1px -1px 12px 0px dimgrey;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: underline;
  gap: 15px;
  cursor: pointer;
}
/*Main-Content*/
.content{
  display: flex;
  margin-top: 100px;
}
/*left Content*/
.left {
  
  height: 100%;
  width: 80%;
  background-color: rgb(218, 218, 218);
}

.mainImg {
  width: 100%;
  height: 250px;
  object-fit: cover;
}

.imgContainer{
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

.logoImg{
  width: 200px;
  border-radius: 100px;
  margin-top: -100px;
}

.infoContainer{
  display: flex;
  justify-content: space-between;
  margin-left: 20px;
  margin-top: -100px;
  align-items: center;
  margin-right: 20px;
}

.ratingContainer img{
  width: 25px;
  height: 25px;
}

.ratingContainer{
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-left: 20px;
  margin-top: -30px;
  text-decoration: underline;
  justify-content: flex-start;
  gap: 5px;
}

.ratingContainer p{
  cursor: pointer;
}

.deliveryService{
  display: flex;
  justify-content: flex-start;
  flex-direction: row;
  align-items: center;
  gap: 5px;
  margin-left: 20px;
  font-weight: bold;
  margin-top: -20px;
}

.deliveryService img{
  width: 18px;
}

.infoContainer img{
  width: 50px;
}

.menubar{
  width: 200px;
  position: sticky;
  display: flex;
  flex-direction: row;
  height: 100px;
  width: 100%;
  background-color: rgb(161 155 150);
  justify-content: center;
  align-items: center;
  gap: 15px;
  font-size: 20px;
  font-weight: bolder;
}

.menubar a{
 
  border-radius: 15px;
  padding: 10px 10px;
  background-color: #a8a8a8;
  text-decoration: none;
  color: black;
}

.menubar a:hover{
  color: rgb(0, 0, 0);
  background-color: rgb(122, 116, 110);
  cursor: pointer;
  box-shadow:1px 1px 12px rgb(115 115 115) 
}


 #menuCard, #menuCard2, #menuCard3{
  margin-top: 50px;
 }

 .menu{
  display: flex;
  border: 1px solid #cfcbcb;
  height: 20%;
  border-radius: 20px;
  box-shadow: -2px 1px 11px 0px #c3c0c0;
  justify-content: space-between;
  align-items: center;
  padding: 20px 20px;
  margin: 50px 50px ;
  }

  .menu:hover{
    background-color: rgb(236, 236, 236);
  }

  .menuContainer3{
    display: flex;
    gap: 10px;
    align-items: center;
  }
  
  .menuContainer3 img{
    width: 30px;
    height: 30px;
  }

  .menuImgContainer{
    display: flex;
    justify-content: center;
    margin-top: 50px;
  }

  .menuImgContainer img {
    width: 100%;
    height: 200px;
    object-fit: cover;
  }

  .plus:hover{
    filter:drop-shadow(2px 2px 2px grey);
    cursor: pointer;
  }

/* right content*/
.right{
  width: 20%;
  height: 100vh;
  background-color: #ffffff;
  position: sticky;
  justify-content: center;
  box-shadow: 3px 0px 14px 0px #2e2e2e;
  flex-direction: column;
  overflow-y: scroll;
}

.warenkorbContainer{
  display: flex;
    justify-content: center;
    text-align: start;
    gap: 10px;
}

.fillWarenkorb{
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  flex-direction: column;
  margin-top: 150px;
  gap: 10px;
}

#addBasket{
  padding: 5px 5px;
}

.addBasket{
  display: flex;
  flex-direction: row;
  gap: 30px;
  font-size: 20px;
  margin-top: 30px;
  justify-content: center;
  align-items: center;
}

.addBasket2{
  display: flex;
  flex-direction: row;
  gap: 15px;
}

.addBasket img{
  width: 40px;
}

.addBasket3{
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 20px;
  margin-top: 20px;
  justify-content: center;
}

.addBasket3 a{
  color: rgb(235, 155, 35);
}

.addBasket4{
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 10px;
  
}

#totalcost{
  margin-bottom: 10px;
}

.addBasket4 img{
  width: 50px;
}

.nameofFood{
  padding: 2px 2px;
  border-radius: 10px;
  background: #c1a063;
  font-weight: bolder;
  text-align: center;
  width: 150px;
}

.hiddenOrder{
  background-color: rgb(221 168 71);
  border-radius: 15px;
  padding: 10px 10px;
  background-color: #884e4e;
  text-decoration: none;
  color: black;
  cursor: pointer;
}

p1{
  color: rgb(129, 99, 55);
  font-weight: bold;
}

h2{
  margin: 0px;
}

.fillWarenkorb p{
  margin: 0px;
}

h1{
font-size: 30px;
}

li{
  width: 5px;
}

.totalcost{
  display: flex;
  flex-direction: column;
  gap: 10px;
  color: #707070;
}

.totalcost div{
  display: flex;
  justify-content: space-between;
  align-items: start;
  font-size: 20px;
  padding-left: 10px;
  padding-right: 10px;
  }

.total{
  color: black;
  font-weight: bolder;
}


/* CSS */
.button-78 {
  align-items: center;
  appearance: none;
  background-clip: padding-box;
  background-color: initial;
  background-image: none;
  border-style: none;
  box-sizing: border-box;
  color: #000000;
  cursor: pointer;
  display: inline-block;
  flex-direction: row;
  flex-shrink: 0;
  font-size: 20px;
  font-weight: 800;
  justify-content: center;
  line-height: 24px;
  margin: 0;
  min-height: 64px;
  outline: none;
  overflow: visible;
  padding: 12px 12px;
  pointer-events: auto;
  position: relative;
  text-align: center;
  text-decoration: none;
  text-transform: none;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  vertical-align: middle;
  width: auto;
  word-break: break-all;
  z-index: 0;
  margin-left: 20px;
  margin-right: 20px;
}

@media (min-width: 768px) {
  .button-78 {
    padding: 19px 32px;
  }
}

.button-78:before,
.button-78:after {
  border-radius: 80px;
}

.button-78:before {
  background-image: linear-gradient(92.83deg, #a88d80 0, #775e58 100%);
  content: "";
  display: block;
  height: 100%;
  left: 0;
  overflow: hidden;
  position: absolute;
  top: 0;
  width: 100%;
  z-index: -2;
}

.button-78:after {
  background-color: initial;
  background-image: linear-gradient(#755852 0, #997b5a 100%);
  bottom: 4px;
  content: "";
  display: block;
  left: 4px;
  overflow: hidden;
  position: absolute;
  right: 4px;
  top: 4px;
  transition: all 100ms ease-out;
  z-index: -1;
}

.button-78:hover:not(:disabled):before {
  background: linear-gradient(92.83deg, rgb(255, 116, 38) 0%, rgb(249, 58, 19) 100%);
}

.button-78:hover:not(:disabled):after {
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  transition-timing-function: ease-in;
  opacity: 0;
}

.button-78:active:not(:disabled) {
  color: #ccc;
}

.button-78:active:not(:disabled):before {
  background-image: linear-gradient(0deg, rgba(0, 0, 0, .2), rgba(0, 0, 0, .2)), linear-gradient(92.83deg, #ff7426 0, #f93a13 100%);
}

.button-78:active:not(:disabled):after {
  background-image: linear-gradient(#463430 0, #0c0d0d 100%);
  bottom: 4px;
  left: 4px;
  right: 4px;
  top: 4px;
}

.button-78:disabled {
  cursor: default;
  opacity: .24;
}

/*BestellungsContainer*/

.bestellungsContainer{
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    background-color: #010101e8;
    gap: 10px;
    z-index: 2;
  }
l-no-vertical-scroll {overflow-y: hidden}
.WarenkorbContainer{
   width: 70%;
   max-height: 70%;
   background-color: white;
   border-radius: 20px;
   justify-content: center;
   flex-direction: column;
   padding-bottom: 10px;
   overflow-y: hidden;
   margin-top: 100px;
   margin-bottom: 100px;
   overflow: auto;
}

.warenkorbContainer2{
  background-color: rgb(83, 63, 45);
  display: flex;
  justify-content: center;
  align-items: center;
  height: 50px;
  border-radius: 20px 20px 0px 0px;
  margin-bottom: 0px;
}

.bestellContainer{
  background-color: #949292;
  border-bottom: 1px solid rgb(34, 34, 34);
  padding-bottom: 10px;
}

.bestellContainer1{
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 25%;
  font-size: 25px;
  margin-left: 20px;
  margin-right: 20px;
  padding-top: 10px;
}

.bestellContainer1 img{
  width: 50px;
}

.bestellContainer2{
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20%;
  margin-top: 20px;
}

.bestellContainer2 a{
  color:#5d4b2a;;
  font-weight: bolder;
}

.bestellContainer3{
  display: flex;
  align-items: center;
  gap: 10%
}

.bestellContainer3 img{
  width: 50px;
}

.nameofFood2{
  font-weight: bolder;
  background-color: #c1a063;
  padding: 5px 5px;
  border-radius: 10px;
  text-align: center;
  align-items: center;
  width: 200px;
}

@media(max-width: 1400px){
  .right{
    display: none;
    width: 10%;
  }

  .left{
    width: 100%;
  }
  
}

@media(min-width: 1400px){
  .hiddenOrder{
    display: none;
  }

  .bestellungsContainer{
    display: none;
  }
}

@media(max-width: 900px){
  .infoContainer{
    margin-top: 0px;
  }

  .logoImg{
    display: none;
  }

  .header-img{
    width: 100px;
  }

  .speisekarte{
    display: none;
  }

  h1{
    font-size: 15px;
  }

  .infoContainer img{
    width: 35px;
    margin-top: 10px;
  }

  .menubar{
    gap: 10px;
  }

  .menubar a{
    font-size: 15px;
  }

  .hiddenOrder{
    padding: 5px 5px;
    font-size: 15px;
  }

  .ratingContainer{
    font-size: 15px;
    margin-top: -20px;
  }

  .ratingContainer img{
    width: 15px;
    height: 15px;
  }

  footer{
    height: 200px;
    flex-direction: column;

  }
}

@media(max-width: 500px){
  nav{
    margin-right: 25px;
    gap: 15px;
  }

  nav img {
    width: 25px;
    height: 25px;
  }

  .menubar a{
    padding: 5px 5px;
  }

  .infoContainer img{
    width: 20px;
    height: 20px;
  }

  .menu{
    margin: 25px 25px;
  }

  .plus{
    width: 35px;
    height: 35px;
  }

  .mainImg{
    height: 150px;
  }
}

@media(max-width: 600px){
  .bestellContainer1{
    gap: 10%;
    font-size: 15px;
  }

  .bestellContainer1 img {
    width: 25px;
}

  .bestellContainer2{
    gap: 10%;
    margin-top: 10px;
  }

  .bestellContainer2 a{
    font-size: 10px;
  }

  .bestellContainer3 {
    gap: 5%;
}

  .bestellContainer3 img{
    width: 25px;
  }

  .nameofFood2{
    padding: 5px 5px;
    font-size: 15px;
  }

  .totalcost span{
    font-size: 15px;
  }

  .button-78{
    font-size: 15px;
    padding: 19px 25px;
    min-height: 0px;
    height: 30px;
    display: flex;
}
  }

  .deliveryService p{
    font-size: 15px;
  }


@media(max-width: 320px){
  .nameofFood2{
    padding: 2px 2px;
  }
}

@media(max-width: 740px){
  .nameofFood2{
    font-size: 16px;
  }
}
